import React from 'react';
import { useDispatch, useSelector } from 'react-redux';
import { toggleTodo } from '../features/todo/todoSlice';

const TodoList = () => {
    const dispatch = useDispatch();
    const todos = useSelector((state) => state.todos);

    return (
        <div className="max-w-md mx-auto mt-6">
            <ul className="bg-white shadow rounded p-4">
                {todos.map((todo) => (
                    <li 
                        key={todo.id}
                        onClick={() => dispatch(toggleTodo(todo.id))}
                        className={`cursor-pointer py-2 flex items-center justify-between ${todo.completed ? 'line-through text-gray-400' : ''   }`}>
                        {todo.text}
                        <span className={`rounded-full w-4 h-4 ${todo.completed ? 'bg-gray-300' : 'bg-green-500' }`} ></span>
                    </li>
                ))}
            </ul>
        </div>
    );
};

export default TodoList;
